automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[FYI] {testsuite-work} self tests: sanity check on 'is_blocked_signal' f


From: Stefano Lattarini
Subject: [FYI] {testsuite-work} self tests: sanity check on 'is_blocked_signal' function
Date: Tue, 6 Sep 2011 18:07:44 +0200

* tests/self-check-is-blocked-signal.tap: New test.
* tests/list-of-tests.mk: Update.
---
 ChangeLog                              |    6 ++++++
 tests/Makefile.in                      |    1 +
 tests/list-of-tests.mk                 |    1 +
 tests/self-check-is-blocked-signal.tap |   29 +++++++++++++++++++++++++++++
 4 files changed, 37 insertions(+), 0 deletions(-)
 create mode 100755 tests/self-check-is-blocked-signal.tap

diff --git a/ChangeLog b/ChangeLog
index 9e8e6df..a3ea13a 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,11 @@
 2011-09-06  Stefano Lattarini  <address@hidden>
 
+       self tests: sanity check on 'is_blocked_signal' function
+       * tests/self-check-is-blocked-signal.tap: New test.
+       * tests/list-of-tests.mk: Update.
+
+2011-09-06  Stefano Lattarini  <address@hidden>
+
        tests: fix spurious failures due to ignored signals
        * tests/defs (is_blocked_signal): New function.
        * tests/parallel-tests-interrupt.test: Do not try to use/trap
diff --git a/tests/Makefile.in b/tests/Makefile.in
index e2d3af8..b56a018 100644
--- a/tests/Makefile.in
+++ b/tests/Makefile.in
@@ -1134,6 +1134,7 @@ self-check-reexec.test \
 self-check-report.test \
 self-check-sanity.test \
 self-check-seq.test \
+self-check-is-blocked-signal.tap \
 self-check-tap.test \
 self-check-unindent.test \
 sanity.test \
diff --git a/tests/list-of-tests.mk b/tests/list-of-tests.mk
index 073c06c..abcb698 100644
--- a/tests/list-of-tests.mk
+++ b/tests/list-of-tests.mk
@@ -809,6 +809,7 @@ self-check-reexec.test \
 self-check-report.test \
 self-check-sanity.test \
 self-check-seq.test \
+self-check-is-blocked-signal.tap \
 self-check-tap.test \
 self-check-unindent.test \
 sanity.test \
diff --git a/tests/self-check-is-blocked-signal.tap 
b/tests/self-check-is-blocked-signal.tap
new file mode 100755
index 0000000..ba20488
--- /dev/null
+++ b/tests/self-check-is-blocked-signal.tap
@@ -0,0 +1,29 @@
+#! /bin/sh
+# Copyright (C) 2011 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# Sanity check for the automake testsuite: the `signal_is_blocked'
+# shell function.
+
+am_create_testdir=no
+. ./defs || Exit 99
+
+plan_ 2
+
+command_ok_ "unblockable signal 9" not is_blocked_signal 9
+trap "" 13
+command_ok_ "blocked signal 13" is_blocked_signal 13
+
+:
-- 
1.7.2.3




reply via email to

[Prev in Thread] Current Thread [Next in Thread]